<div class="container-fluid">
    <div class="row">
        <div class="col-12 d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center">
            <h1 class="title"><%= title %></h1>

            <div class="btn-toolbar mb-2 mb-sm-0">
                <div class="btn-group mr-2">

                    <div class="dropdown">
                        <button type="button" class="btn btn-sm btn-outline-primary dropdown-toggle" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Ordenar por</button>
                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                            <a class="dropdown-item" href="?orderBy=name">Nombre</a>
                            <a class="dropdown-item" href="?orderBy=surname">Apellido</a>
                            <a class="dropdown-item" href="?orderBy=email">Email</a>
                            <a class="dropdown-item" href="?orderBy=doc">Documento</a>
                        </div>
                    </div>
                    <div class="dropdown">
                        <button type="button" class="btn btn-sm btn-outline-primary dropdown-toggle" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Filtrar por</button>
                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                            <a class="dropdown-item" href="?filterBy=artist">Artistas</a>
                            <a class="dropdown-item" href="?filterBy=customer">Compradores</a>
                        </div>
                    </div>
                </div>
                    
                <button type="button" class="btn btn-sm btn-outline-primary" data-toggle="modal" data-target="#modalCreateUser">
                    <i class="fas fa-user-plus mr-1"></i> Agregar usuario
                </button> 
            </div>
        </div>

        <div class="col-12">
            <hr class="mt-1">
        </div>

        <div class="col-md-12">
            <div class="table-responsive">
                <table class="table table-hover ">
                    <thead class="thead-primary">
                        <tr>
                            <th>#</th>
                            <th>Nombre</th>
                            <th>Apellido</th>
                            <th>Email</th>
                            <th>Teléfono</th>
                            <th>Tipo</th>
                            <th>Fecha de registro</th>
                            <th >Acciones</th>
                        </tr>
                    </thead>
                    <tbody>
                        <% users.forEach((user, idx) => { %> 
                        <tr>
                            <td><%= idx+1 %></td>
                            <td><%= user.name %></td>
                            <td><%= user.surname %></td>
                            <td><%= user.email %></td>
                            <td><%= user.tel %></td>
                            <td><%= user.rol %></td>
                            <td><%= new Date(user.create_time).toLocaleDateString("es-CO", { weekday: 'long', year: 'numeric', month: 'long', day: 'numeric' }) %></td>
                            <td>
                                <div class="btn-group">
                                    <button type="button" class="btn btn-sm btn-outline-primary" onclick="setRol('<%= user.rol %>','<%= user.artistic_name %>','<%= user.biography %>')" data-toggle="modal" data-target="#modalEditProfile" data-user="<%= user.username %>">
                                        <i class="fas fa-edit mx-1"></i>
                                    </button>
                                    
                                    <a type="button" class="btn btn-sm btn-outline-primary" href="customers/<%= user.username %>"><i class="fas fa-eye mx-1"></i></a>
                                    <button type="button" class="btn btn-sm btn-outline-danger" onclick='deleteUser("<%= user.username %>")'><i class="fas fa-trash-alt mx-1"></i></button>
                                </div>
                            </td>
                        </tr>
                        <% }); %> 
                    </tbody>
                </table>
            </div>
        </div>
      
        <!-- Create User Modal -->
        <div class="modal fade" id="modalCreateUser" tabindex="-1" role="dialog" aria-labelledby="modalCreateUserTitle" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="modalCreateUserTitle">Crear usuario</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <i class="fas fa-times"></i>
                        </button>
                    </div>

                    <div class="modal-body">
                        <form id="formCreateUser" action="/api/users" method="POST">

                            <div class="form-row">

                                <div class="form-group col">
                                    <label for="email">Correo electrónico</label>
                                    <input type="email" id="email" class="form-control" name="email" placeholder="Correo electrónico">
                                </div>

                            </div>

                            <div class="form-row">

                                <div class="form-group col">
                                    <label for="name">Nombre</label>
                                    <input type="text" id="name" class="form-control" name="name" placeholder="Nombre" required autofocus>
                                </div>

                                <div class="form-group col">
                                    <label for="surname">Apellidos</label>
                                    <input type="text" id="surname" class="form-control" name="surname" placeholder="Apellidos" required>
                                </div>
                            </div>

                            <div class="form-row">
                                <div class="form-group col">
                                    <label for="doc">Número de documento</label>
                                    <input type="text" id="doc" class="form-control" name="doc" placeholder="Número de documento" required>
                                </div>

                                <div class="form-group col">
                                    <label for="tel">Número de teléfono</label>
                                    <input type="text" id="tel" class="form-control" name="tel" placeholder="Número de teléfono" required>
                                </div>
                            </div>

                            <hr>

                            <div class="row">
                                <div class="col">
                                    <button type="button" class="btn btn-secondary btn-block" data-dismiss="modal">Cancelar</button>
                                </div>

                                <div class="col">
                                    <button type="submit" class="btn btn-primary btn-block">Guardar</button>
                                </div>
                            </div>
                        </form>
                    </div>
                    
                </div>
            </div>
        </div>
        <!-- Modal -->
        <div class="modal fade" id="modalEditProfile" tabindex="-1" role="dialog" aria-labelledby="modalEditProfileTitle" aria-hidden="true">
            <div class="modal-dialog modal-dialog-centered" role="document">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="modalEditProfileTitle">Editar usuario</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <i class="fas fa-times"></i>
                        </button>
                    </div>

                    <div class="modal-body">
                        <form id="formEditProfile" action="/api/users/edit/" method="POST">

                            <div class="form-row">

                                <div class="form-group col">
                                    <label for="username">Nombre de usuario</label>
                                    <input type="text" id="username" class="form-control" readonly name="username" placeholder="Nombre de usuario" required>
                                </div>

                                <div class="form-group col">
                                    <label for="email">Correo electrónico</label>
                                    <input type="email" id="email" class="form-control" readonly name="email" placeholder="Correo electrónico">
                                </div>

                            </div>

                            <div class="form-row">

                                <div class="form-group col">
                                    <label for="name">Nombre</label>
                                    <input type="text" id="name" class="form-control" name="name" placeholder="Nombre" required autofocus>
                                </div>

                                <div class="form-group col">
                                    <label for="surname">Apellidos</label>
                                    <input type="text" id="surname" class="form-control" name="surname" placeholder="Apellidos" required>
                                </div>
                            </div>

                            <div class="form-row">
                                <div class="form-group col">
                                    <label for="doc">Número de documento</label>
                                    <input type="text" id="doc" class="form-control" name="doc" placeholder="Número de documento" required>
                                </div>

                                <div class="form-group col">
                                    <label for="tel">Número de teléfono</label>
                                    <input type="text" id="tel" class="form-control" name="tel" placeholder="Número de teléfono" required>
                                </div>
                            </div>

                            <div id="modalArtistFields"></div>

                            <hr>

                            <div class="row">
                                <div class="col">
                                    <button type="button" class="btn btn-secondary btn-block" data-dismiss="modal">Cancelar</button>
                                </div>

                                <div class="col">
                                    <button type="submit" class="btn btn-primary btn-block">Guardar cambios</button>
                                </div>
                            </div>
                        </form>
                    </div>
                    
                </div>
            </div>
        </div>
    </div>
</div>
